#!/usr/bin/perl

# Copyright 2000, Cobalt Networks.  All rights reserved.
# $Id: addSWUpdateServer.pl,v 1.11 2000/09/23 23:35:29 asun Exp $
# author: mchan@cobalt.com

use lib '/usr/sausalito/perl';
use Sauce::Config;
use CCE;

my $cce = new CCE;
$cce->connectuds();

my $package_dir = '/home/packages';

my @OIDS = $cce->find('SWUpdateServer');
# create a default SWUpdateServer object if none exists, use default
# properties in update.schema file

if ($#OIDS < 0) {
  # create SWUpdateServer object
  $cce->create('SWUpdateServer', {
	'name'        => 'default',
	'enabled'     => 'true',
	'location'    => 'http://updates.cobalt.com/packages/',
    });
}

mkdir($package_dir, 0755) unless -d ($package_dir);
chown((getpwnam(Sauce::Config::groupdir_owner))[2,3], $package_dir);

# sync up system with cce
@OIDS = $cce->find('System');
if (@OIDS) {
	my ($ok, $obj) = $cce->get($OIDS[0], 'SWUpdate');
	my $interval = $obj->{updateInterval};

	# some massive hokeyness. set the value twice to fix things up.
	my $new = $interval eq 'Never' ? 'Monthly' : 'Never';
	$cce->set($OIDS[0], 'SWUpdate', { updateInterval => $new });
	$cce->set($OIDS[0], 'SWUpdate', { updateInterval => $interval });
}

$cce->bye('SUCCESS');
exit 0;
